Package org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class RemoteServiceAdmin.ExportReference

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.RemoteServiceAdmin.ExportReference

All Implemented Interfaces:
  `ExportReference`

Enclosing class:
  RemoteServiceAdmin

    public class RemoteServiceAdmin.ExportReference
    extends Object
    implements ExportReference

Since:
  4.2

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getContainerID()`
`EndpointDescription` `getExportedEndpoint()` Return the Endpoint Description for the local endpoint.
`ServiceReference` `getExportedService()` Return the service being exported.
`long` `getRemoteServiceId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getContainerID

    public ID getContainerID()

#### getRemoteServiceId

    public long getRemoteServiceId()

#### getExportedService

    public ServiceReference getExportedService()

Description copied from interface: `ExportReference`
Return the service being exported.

Specified by:
  `getExportedService` in interface `ExportReference`
Returns:
  The service being exported. Must be `null` when the service is no longer exported.

#### getExportedEndpoint

    public EndpointDescription getExportedEndpoint()

Description copied from interface: `ExportReference`
Return the Endpoint Description for the local endpoint.

Specified by:
  `getExportedEndpoint` in interface `ExportReference`
Returns:
  The Endpoint Description for the local endpoint. Must be `null` when the service is no longer exported.